import { ISharedBikesBikeStatusOutput } from "#sch";
import { REKOLA_PRICING_PLAN_ID } from "#ie/transformations/Rekola";

export const rekolaBikeStatusOutputFixture: ISharedBikesBikeStatusOutput[] = [
    {
        id: "rekola-3974",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.4610581741, 50.1088538325],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: "rekola-4",
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-5811",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.4167971936, 50.0516212413],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: "rekola-5",
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-6444",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.4167971936, 50.0516212413],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: "rekola-5",
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-8945",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.4680777491, 50.1024229018],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: "rekola-6",
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-300014",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.4573346555, 50.0825670018],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description:
            "Když zaparkujete kolo do tohoto stojanu, tak nezaplatíte posledních 30 min z jízdy." +
            " Bohužel, aktuálně v tomto stojanu však žádné kolo není.",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: "rekola-200014",
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-300029",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.4339313945, 50.0740306913],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description:
            "Když zaparkujete kolo do tohoto stojanu, tak nezaplatíte posledních 30 min z jízdy." +
            " Bohužel, aktuálně v tomto stojanu však žádné kolo není.",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: "rekola-200029",
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-1376",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.3972105489, 50.0143275085],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: "rekola-32",
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-1018",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.4418911111, 50.1071377778],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: null,
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-1033",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.47893, 50.1060355556],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: null,
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-1037",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.4020166667, 50.06836],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: null,
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
    {
        id: "rekola-1054",
        system_id: "d727bb19-9755-40b2-9615-01fbb6180b8b",
        point: {
            type: "Point",
            coordinates: [14.4060888889, 50.0821111111],
        },
        helmets: null,
        passengers: null,
        damage_description: null,
        description: "",
        vehicle_registration: null,
        is_reserved: false,
        is_disabled: false,
        vehicle_type_id: "rekola-bike",
        last_reported: "2022-06-26T09:29:00.000Z",
        current_range_meters: null,
        charge_percent: null,
        rental_app_id: null,
        station_id: null,
        pricing_plan_id: REKOLA_PRICING_PLAN_ID,
        make: null,
        model: null,
        color: null,
    },
];
